"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const wait_for_domain_1 = require("../../lib/wait-for-domain");
class DomainsWait extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(DomainsWait);
        let domains;
        if (args.hostname) {
            let { body: domain } = await this.heroku.get(`/apps/${flags.app}/domains/${args.hostname}`);
            domains = [domain];
        }
        else {
            let { body: apiDomains } = await this.heroku.get(`/apps/${flags.app}/domains`);
            domains = apiDomains.filter(domain => domain.status === 'pending');
        }
        for (let domain of domains) {
            await wait_for_domain_1.default(flags.app, this.heroku, domain);
        }
    }
}
DomainsWait.description = 'wait for domain to be active for an app';
DomainsWait.flags = {
    help: command_1.flags.help({ char: 'h' }),
    app: command_1.flags.app({ required: true }),
};
DomainsWait.args = [{ name: 'hostname' }];
exports.default = DomainsWait;
