 var requestDirector = new XMLHttpRequest()
 var requestpop = new XMLHttpRequest()


 var directors = []
 var moneyData = []
 var movieMountData = []
 var backgroundColor = []
 var borderColor = []
 var popDatasets = []

 requestpop.open('GET', '/api/movie/five-topmovie', true)
 requestDirector.open('GET', '/api/movie/query/director', true)

var ctx = document.getElementById('directorIncome').getContext('2d');
var incomeChart = new Chart(ctx, {

    type: 'line',

    data: {
        labels: directors,
        datasets: [{
            label: 'Movie Director Incomes ($)',
            backgroundColor: 'rgba(255, 99, 132, 0.4)',
            borderColor: 'rgb(255, 99, 132)',
            data: moneyData
        }]
    },

    options: {
        scales: {
            yAxes: [{
                scaleLabel: {
                    display: true,
                    labelString: 'U.S. Dollar (million)'
            
                },
                ticks: {
                    beginAtZero: true
                }
            }],
            xAxes: [{
            }]
        }
    }

});

var ctx2 = document.getElementById('directorMovies').getContext('2d');
var amountChart = new Chart(ctx2, {

    type: 'bar',

    data: {
        labels: directors,
        datasets: [{
            backgroundColor: backgroundColor,
            borderColor: borderColor,
            data: movieMountData
        }]
    },

    options: {
        legend: {
            display: false
        },
        scales: {
            yAxes: [{
                scaleLabel: {
                    display: true,
                    labelString: 'Number of movies'
            
                },
                ticks: {
                    beginAtZero: true
                }
            }],
            xAxes: [{
                gridLines: {
                    offsetGridLines: true
                }
            }]
        }
    }
});


var ctx3 = document.getElementById('popularRate').getContext('2d');
var popularChart = new Chart(ctx3, {

    type: 'radar',

    data: {
        labels: ["IMDB", "Internet Movie Database", "Rotten Tomatoes", "Metacritic"],
  datasets: popDatasets,
    },
    options: {
        tooltips: {
          callbacks: {
            label: function(tooltipItem, data) {
              return data.datasets[tooltipItem.datasetIndex].label + ": " + tooltipItem.yLabel;
            }  
          }
        },
        scale: {
            ticks: {
                beginAtZero: false,
                max: 100,
            }
        }
      }
});

requestDirector.onload = function() {

    var data = JSON.parse(this.response)

    if (requestDirector.status >= 200 && requestDirector.status < 400) {
      data.forEach(element => {
          directors.push(element.director)
          var money = element.income/1000000;
        //   moneyData.push(element.income);
          moneyData.push(money)
          movieMountData.push(element.amount_film)
         
          var r = Math.floor(Math.random() * 255);
          var g = Math.floor(Math.random() * 255);
          var b = Math.floor(Math.random() * 255);
          backgroundColor.push(`rgba(`+r+`,`+g+`,`+b+`,0.4)`)
          borderColor.push(`rgb(`+r+`,`+g+`,`+b+`)`)
      });
      amountChart.update()
      incomeChart.update()
    } else {
      console.log('error')
    }
   
}
requestpop.onload = function() {

    var data = JSON.parse(this.response)

    if (requestpop.status >= 200 && requestpop.status < 400) {
      data.forEach(element => {
        var ratings = element.Ratings
        var internetDBRate = 0
        var rottenRate = 0
        var metaRate = 0
        var imdbRate = 0
        var imdbRaing = element.imdbRating
        if(!isNaN(parseFloat(imdbRaing)) && isFinite(imdbRaing)){
            imdbRate = parseInt(imdbRaing) * 10
        }


        for (let i = 0; i < ratings.length; i++) {
            if( ratings[i].Source == "Internet Movie Database"){
                internetDBRate = parseInt(ratings[0].Value.split("/")[0])*10
            }
            if( ratings[i].Source == "Rotten Tomatoes"){
                rottenRate = parseInt(ratings[1].Value.split("%")[0])
            }
            if( ratings[i].Source == "Internet Movie Database"){
                metaRate = parseInt(ratings[2].Value.split("/")[0])
            }
        }

        var popdata = [imdbRate, internetDBRate, rottenRate, metaRate ]

        var r = Math.floor(Math.random() * 255);
        var g = Math.floor(Math.random() * 255);
        var b = Math.floor(Math.random() * 255);
           popDatasets.push({
                label: element.Title,
                backgroundColor: `rgba(`+r+`,`+g+`,`+b+`,0.1)`,
                borderColor: `rgba(`+r+`,`+g+`,`+b+`,0.8)`,
                data: popdata,
           })
      });
      popularChart.update()
    } else {
      console.log('error')
    }
   
}
   
   requestDirector.send()
   requestpop.send()
   